Results 1 to 6 of 6

Thread: umfpack.h not found? octave warning

  1. #1
    Join Date
    Jul 2008
    Location
    India
    Posts
    162

    Default umfpack.h not found? octave warning

    Hi,
    I am trying to compile the latest version of octave ie 3.0.3. It needs umfpack which i downloaded from Webpin. But after
    Code:
    ./configure --prefix=/path/to/installation/directory
    i still get the warning:
    configure: WARNING: UMFPACK not found. This will result in some lack of functionality for sparse matrices.
    I do not understand the coding of the configure file but i do see the line:
    Code:
    for ac_header in suitesparse/umfpack.h ufsparse/umfpack.h umfpack/umfpack.h umfpack.h
    in the configure file. And umfpack.h is in /usr/include. So why the warning?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: umfpack.h not found? octave warning

    Quote Originally Posted by samrat rao
    Hi,
    I am trying to compile the latest version of octave ie 3.0.3. It
    needs umfpack which i downloaded from Webpin. But after
    Code:
    --------------------
    ./configure --prefix=/path/to/installation/directory
    --------------------
    i still get the warning:> configure: WARNING: UMFPACK not found. This
    will result in some lack of
    > functionality for sparse matrices.I do not understand the coding of
    > the configure file but i do see the

    line:
    Code:
    --------------------
    for ac_header in suitesparse/umfpack.h ufsparse/umfpack.h
    umfpack/umfpack.h umfpack.h --------------------
    in the configure file. And umfpack.h is in /usr/include. So why the
    warning?
    Hi
    If you run the command .configure --help you may have to specify the
    full path in your command eg;
    Code:
    ../configure --prefix=/path/to/installation/directory
    --includedir=/usr/include/suitesparse
    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 10:14, 1 user, load average: 0.19, 0.19, 0.16
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.82


  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,864
    Blog Entries
    15

    Default Re: umfpack.h not found? octave warning

    Quote Originally Posted by Malcolm
    Quote Originally Posted by samrat rao
    Hi,
    I am trying to compile the latest version of octave ie 3.0.3. It
    needs umfpack which i downloaded from Webpin. But after
    Code:
    --------------------
    ./configure --prefix=/path/to/installation/directory
    --------------------
    i still get the warning:> configure: WARNING: UMFPACK not found. This
    will result in some lack of
    > functionality for sparse matrices.I do not understand the coding of
    > the configure file but i do see the

    line:
    Code:
    --------------------
    for ac_header in suitesparse/umfpack.h ufsparse/umfpack.h
    umfpack/umfpack.h umfpack.h --------------------
    in the configure file. And umfpack.h is in /usr/include. So why the
    warning?
    Hi
    If you run the command .configure --help you may have to specify the
    full path in your command eg;
    Code:
    ../configure --prefix=/path/to/installation/directory
    --includedir=/usr/include/suitesparse
    Hi
    Just had a look and there is an octave 3.0.3 in the Science repository;
    http://download.opensuse.org/reposit.../openSUSE_11.0

    Download and build from the source rpm and it will pickup suitesparce,
    the only items it doesn't configure is GLPK and Qhull.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 1:26, 3 users, load average: 2.14, 1.07, 0.70
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.82


  4. #4

    Default Re: umfpack.h not found? octave warning

    I have nearly the same problem in Opensuse 11.2. When I use the luinc function in Octave I get the error message "error: UMFPACK not installed."

    suitesparse-common-devel version 3.2.0-5.1, libumfpack5 and umfpack-devel, both versions 5.2.0-8.1, are installed together with Octave 3.2.3-0.pm.3.1. Does anyone have suggestions what might cause the error message?

  5. #5

    Default Re: umfpack.h not found? octave warning

    I am a bit confused here. Do I need to install the Suitesparse package in Opensuse 11.2? I cannot find any rpm files for 11.2, only for 11.1.

  6. #6
    Join Date
    Jul 2008
    Location
    India
    Posts
    162

    Default Re: umfpack.h not found? octave warning

    Hi,

    Try to install the rpm of 11.1 into 11.2. It may work.

    The best option is to install octave from the reposWebpin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •